Subject: Re: brcm80211 breakage..

From: "Arend van Spriel" <[email-masked]>
Date: Tue, 31 Jan 2012 20:08:06 +0100

On 01/31/2012 06:02 PM, Linus Torvalds wrote:
> On Tue, Jan 31, 2012 at 4:08 AM, Henrik Rydberg <[email-masked]> wrote:
>>
>> probing simply fails on my machine,
>>
>> [  882.064120] bcma: Failed to get SPROM: -71
>> [  882.064256] bcma-pci-bridge: probe of 0000:01:00.0 failed with error -2
>>
>> resulting in no wireless. Since the bcma SPROM setup allegedly is
>> unused, simply ignoring the error with this hack
> 
> I personally hit the "No SPROM available" case, which is apparently
> why it works for me.
> 
> That said, I obviously agree with your patch: if we don't fail for the
> "No SPROM available" case, then we damn well shouldn't fail just
> because it *is* available but we can't read it or whatever.
> 
> So Ack on the patch from me, but it should go through the network
> guys. Arend, John?
> 

The SPROM code in bcma needs some attention, because the availability of
it depends between chipsets. I think in bcma not all variations are
known and thus lacking implementation to handle those. So ultimately
bcma sprom code needs to be extended (looking at brcmsmac code). The
sprom code in brcmsmac can go when that has happened.

I will dive into that. I have not hit the "Failed to get SPROM" case so
any chipset info would be appreciated (Henrik?).

Gr. AvS